Summary: A script that saves and restores sound mixer settings.
Name: rhsound 
Version: 1.8
Release: 1
Copyright: distributable
Group: Applications/Multimedia
Source: rhsound-%{PACKAGE_VERSION}.tar.gz
BuildArchitectures: noarch
Prereq: chkconfig
AutoReqProv: no
Requires: aumix
BuildRoot: /tmp/rhsound

%changelog
* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- use -f to make sure it's consistent in file usage

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix version number snafu
- rewrite summary/description

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- more documentation updates

* Mon Sep 21 1998 Bill Nottingham <notting@redhat.com>
- update documentation

* Tue Sep  8 1998 Bill Nottingham <notting@redhat.com>
- fixed fix

* Wed Sep  2 1998 Bill Nottingham <notting@redhat.com>
- fixed to work for (some) non-OSS modules

* Wed Nov 13 1997 Mike Wangsmo <wanger@redhat.com>
- sent error to /dev/null when no sound is configured

* Mon Nov 11 1997 Mike Wangsmo <wanger@redhat.com>
- changed chkconfig description

* Fri Nov 07 1997 Mike Wangsmo <wanger@redhat.com>
- modified init scripts to record mixer settings for non-modular sound 
- made this a noarch package

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>
- how appropriate on this day to make it modprobe modules in a service!
- added check to not run aumix -S if no sound modules loaded

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>
- restructured the sound system to be run as a init service.
- first version

%description
The rhsound package provides a script which can save and restore
the mixer settings and volume level of the standard kernel sound
drivers.  These mixer settings are preserved through shutdowns and
restarts.

Install the rhsound package if you need to preserve the kernel
sound driver module's mixer settings through shutdowns and reboots.

%prep
%setup -n rhsound

%install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m755 sound $RPM_BUILD_ROOT/etc/rc.d/init.d/sound

%post
/sbin/chkconfig --add sound

%postun 
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del sound 
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.modules README.modules.usage
%config /etc/rc.d/init.d/sound
